<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_7f628626dd1d55c71b1fc0932ffd1d" . "2c" => base64_decode("aXNfY" . "XJyYX" . "k="), "_5e30c4717ced3" . "6cff9e93e19a5c" . "576cc" => base64_decode("aXNfc3Rya" . "W5n"), "_aed8da0f19091214b78" . "f80351048517c" => base64_decode("c3R" . "ybG" . "Vu"), "_c8b38c7133c2e8460c1cca42230" . "ac6c2" => base64_decode("dG" . "lt" . "ZQ" . "=="), "_67a0d624aebcceb0abd5ce56a5" . "3ff06f" => base64_decode("ZGF0Z" . "Q=="));
use Claromentis\Core\Date\DateFormatter;




class TypeDateTime implements ValueType
{
    
    
    
    
    
    
    
    
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7f628626dd1d55c7" . "1b1fc0932ffd1d2c"]($value)) {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_67a0d624aebcceb0abd5c" . "e56a53ff06f"]], $value[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c8b38c7133c2e" . "8460c1cca42230" . "ac6c2"]]);
        } else {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value->date, $value->time);
        }
        if (!$_67a0d624aebcceb0abd5ce56a53ff06f) {
            throw new \Exception();
        }
        
        
        $_0dbe978d64aca9dbe1aa157ff74b5602 = (string) $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_TIMESTAMP);
        return $_0dbe978d64aca9dbe1aa157ff74b5602;
    }
    public function Unserialize($value)
    {
        if (empty($value)) {
            return null;
        }
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date($value);
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_67a0d624aebcceb0abd5c" . "e56a53ff06f"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DateFormatter::SHORT_DATE), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c8b38c7133c" . "2e8460c1cca4" . "2230ac6c2"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_CLA_TIME)];
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5e30c47" . "17ced36c" . "ff9e93e1" . "9a5c576c" . "c"]($value) && $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_aed8da0f19091214b78" . "f80351048517c"]($value) === 14) {
            $value = $this->Unserialize($value);
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}